package com.gic.haoban.manage.api.dto.hm;

import java.io.Serializable;

/**
 * @Author MUSI
 * @Date 2022/7/1 2:36 PM
 * @Description
 * @Version
 **/
public class HmGroupDTO implements Serializable {


    private static final long serialVersionUID = -8687513491118069691L;
    /**
     * 分组id
     */
    private Long groupId;

    /**
     * 分组名字
     */
    private String groupName;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 微信企业id
     */
    private String wxEnterpriseId;

    /**
     * 分组被引用次数
     */
    private Integer referNum;

    /**
     * 排序字段
     */
    private Integer sort;

    /**
     * 创建人id
     */
    private String creatorId;

    /***
     * 创建人名字
     */
    private String creatorName;

    /**
     * 修改人id
     */
    private String modifierId;

    /**
     * 修改人名字
     */
    private String modifierName;

    /**
     * 是否为默认分组
     */
    private Integer defaultFlag;

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Integer getReferNum() {
        return referNum;
    }

    public void setReferNum(Integer referNum) {
        this.referNum = referNum;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public String getModifierId() {
        return modifierId;
    }

    public void setModifierId(String modifierId) {
        this.modifierId = modifierId;
    }

    public String getModifierName() {
        return modifierName;
    }

    public void setModifierName(String modifierName) {
        this.modifierName = modifierName;
    }

    public Integer getDefaultFlag() {
        return defaultFlag;
    }

    public void setDefaultFlag(Integer defaultFlag) {
        this.defaultFlag = defaultFlag;
    }
}
